<?php
/* Ci dessous un code de dmonstration d'utilisation de la classe TForm */
require 'tform_autoload.php';

$form = new TForm('Commande');


$form->add('Text')
	 ->label('Nom')
	 ->name('nom');
	 
$form->add('Text')
	 ->label('Prnom')
	 ->name('prenom');
	 
$form->add('Password')
	 ->label('Mot de passe')
	 ->name('pass');

$form->add('Select')
	 ->name('pays')
	 ->label('Pays')
	 ->options(array('Europe' => array('France' => 'fr',
									   'Espagne' => 'es', 
									   'Italie' => 'it',
									   'Angleterre' => 'uk'), 
					'Amrique' => array('Etats unis' => 'usa', 
										'Canada' => 'cn')))
	->defaultChoice('France');
	 
$form->add('Radio')
	 ->name('mode_livraison')
	 ->label('Collissimo')
	 ->value('collissimo')
	 ->id('collissimo');

$form->add('Radio')
	 ->name('mode_livraison')
	 ->label('Courrier normal')
	 ->value('courrier')
	 ->id('courrier');
	 
$form->add('Checkbox')
	 ->label('Recevoir notre newsletter')
	 ->value(1)
	 ->name('newsletter')
	 ->defaultChoice(true);
	 
	
$form->add('Date')
	 ->format('dd/mm/yyy')
	 ->label('Date de naissance')
	 ->name('naissance')
	 ->required(false);
	 
$form->add('Email')
	 ->label('Adresse email')
	 ->name('mail');

$form->add('Textarea')
	 ->label('Commentaires particuliers')
	 ->name('commentaires')
	 ->required(false);
	 
$form->add('Hidden')
	 ->name('code_cache')
	 ->value(1234);
	 
$form->add('File')
	 ->label('Avatar')
	 ->name('avatar')
	 ->required(false);

$form->pre($_POST); //pr-remplissage du formulaire  partir des donnes contenues dans $_POST

if($form->isValid($_POST)) //si le formulaire est valide
{
	list($nom, $email) = $form->get_cleaned_data('nom', 'mail'); //on rcupre les champs "nom" et "mail" du formulaire
	echo 'Mr '.$nom.', votre commande a bien t prise en compte.<br />';
	echo 'Un mail de confirmation a t envoy  l\'adresse '.$email;
}
else  //sinon, si il y a une erreur ou si le formulaire n'est pas rempli
{
	echo $form; //on affiche le formulaire
	echo $form->errors(); //et d'ventuelles erreurs
}

